APIsezyConneqt APIEnrich Profile

Enrich Profile

This endpoint submits a LinkedIn profile URL for enrichment. If the profile is already IN_PROGRESS or COMPLETED, its current status/data is returned; otherwise a new enrichment is triggered. Poll this endpoint or listen for the ENRICHMENT_COMPLETED webhook to get the final enriched data.

Endpoint

POST https://api.ezyhire.com/test/enrichProfile

Request

Headers
USER-Key (required): User/API key for authentication
 
Query Params
profileUrl (required): LinkedIn profile URL of the candidate to enrich

Response

Response when 1st executed and also while enrichStatus is IN_PROGRESS:

Successful Response - IN_PROGRESS
Status Code: 200 OK
Content:json
{
  "statusCode": 200,
  "subResponseStatus": null,
  "error": null,
  "message": "Success",
  "data": {
    "id": "0cf2a031-e22e-466e-b400-f51b9f3a5e3e",
    "firstName": null,
    "lastName": null,
    "profileUrl": "https://www.linkedin.com/in/neha-prabhu-b70638172/",
    "companyName": null,
    "occupation": null,
    "location": null,
    "enrichStatus": "IN_PROGRESS",
    "phoneDetails": null,
    "emailDetails": null,
    "personalMails": null,
    "createdOn": "2026-08-31T12:24:28.6470758",
    "updatedOn": "2026-08-31T12:24:28.6470758"
  }
}

Response when enrichment has COMPLETED:

Successful Response - COMPLETED
Status Code: 200 OK
Content:json
{
  "statusCode": 200,
  "subResponseStatus": null,
  "error": null,
  "message": "Success",
  "data": {
    "id": "0cf2a031-e22e-466e-b400-f51b9f3a5e3e",
    "firstName": "Neha",
    "lastName": "Prabhu",
    "profileUrl": "https://www.linkedin.com/in/neha-prabhu-b70638172/",
    "companyName": "SignDesk",
    "occupation": "Subject Matter Expert",
    "location": "Bengaluru, Karnataka, India",
    "enrichStatus": "COMPLETED",
    "phoneDetails": [
      {
        "phoneNumber": "+91 81972 13134",
        "verificationStatus": false
      }
    ],
    "emailDetails": [
      {
        "email": "neha199801@gmail.com",
        "verificationStatus": false,
        "isPersonalMail": true
      },
      {
        "email": "neha.p@melento.ai",
        "verificationStatus": false,
        "isPersonalMail": false
      },
      {
        "email": "neha.p@signdesk.com",
        "verificationStatus": false,
        "isPersonalMail": false
      }
    ],
    "personalMails": null,
    "createdOn": "2026-08-31T12:24:28.6470758",
    "updatedOn": "2026-08-31T12:24:28.6470758"
  }
}

Fields with Enum Values

Field NamePossible Values/Enums
enrichStatusIN_PROGRESS, COMPLETED
Error Response
Status Code: 400 Bad Request
Content:json
{
  "statusCode": 400,
  "subResponseStatus": null,
  "error": "Licence Expired.",
  "message": null,
  "data": null
}
 
Error Response
Status Code: 400 Bad Request
Content:json
{
  "statusCode": 400,
  "subResponseStatus": null,
  "error": "You do not have enough credits left to perform the execution.",
  "message": null,
  "data": null
}
 
Error Response
Status Code: 429 Too Many Requests
Content:json
{
  "statusCode": 429,
  "subResponseStatus": null,
  "error": "Enrichment rate limit reached. Please try again later.",
  "message": null,
  "data": null
}
 
Error Response
Status Code: 400 Bad Request
Content:json
{
  "statusCode": 400,
  "subResponseStatus": null,
  "error": null,
  "message": "JWT Expired: JWT expired at 2026-08-31T10:15:30Z",
  "data": "Regenerate your USER-Key"
}
 
Error Response
Status Code: 401 Unauthorized
Content:json
{
  "statusCode": 401,
  "subResponseStatus": null,
  "error": null,
  "message": "Invalid User/API key",
  "data": "Please provide a valid User/API key"
}
 

Webhook

Once enrichment for a profile reaches COMPLETED, a webhook call is made with EventType: ENRICHMENT_COMPLETED. Ensure you have registered a webhook endpoint to receive these notifications.

Payload

{
  "id": "a51da398-bd6a-43af-bc79-fb10ce0716f3",
  "firstName": "Ashwini",
  "lastName": "Kulkarni",
  "profileUrl": "https://www.linkedin.com/in/ashwini-kulkarni-0344841b3/",
  "companyName": "Melento",
  "occupation": "Associate Product Manager",
  "location": "Bengaluru, Karnataka, India",
  "enrichStatus": "COMPLETED",
  "phoneDetails": [
    {
      "phoneNumber": "+91 95352 03282",
      "verificationStatus": false
    }
  ],
  "emailDetails": [
    {
      "email": "ashwinigk318@gmail.com",
      "verificationStatus": false,
      "isPersonalMail": true
    },
    {
      "email": "ashwini.k@melento.ai",
      "verificationStatus": false,
      "isPersonalMail": false
    }
  ],
  "personalMails": null,
  "createdOn": "2026-08-31T19:05:44.0933837",
  "updatedOn": "2026-08-31T19:05:44.0933837"
}
Field NameDescription
idUnique identifier of the enriched profile
firstNameProfile first name
lastNameProfile last name
profileUrlLinkedIn profile URL submitted for enrichment
companyNameCurrent company of the profile
occupationCurrent occupation/designation of the profile
locationLocation of the profile
enrichStatusStatus of the enrichment - COMPLETED
phoneDetailsPhone numbers found for the profile, null if none found
emailDetailsEmail addresses found for the profile, null if none found
personalMailsReserved field for personal mail(s)
createdOnTimestamp when the enrichment request was created
updatedOnTimestamp when the profile was last updated